# Настройка работы библиотеки logging

import logging
import sys

logging.basicConfig(
    level=logging.DEBUG, 
    format='%(asctime)s [%(levelname)s] - %(module)s/%(funcName)s/%(lineno)d : %(message)s', 
    datefmt='%d/%m/%y %H:%M:%S',
    handlers=[
        logging.FileHandler("app.log", "w"), # Запись в файл
        logging.StreamHandler(sys.stdout), # Вывод в консоль
    ]
)

# Раскомментируй, чтобы полностью отключить logging (note: создатся пустой .log)
# logging.disable(logging.CRITICAL)